mscorlib 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Method, Inherited=false) System.Diagnostics.Conditional("CONTRACTS_FULL")

The invariant method can have any name, but it must return void and take no parameters. A suggested name for the method is ObjectInvariant. The body of the invariant method must consist solely of one or more calls to the method. A type can have more than one contract invariant method, which can be public or private.

Marks a method as being the invariant method for a class.

- Constructor
  4.0.0.0

  Initializes a new instance of the class.